/***************************************************************************
                          fm_menu.h  -  description
                             -------------------
    begin                : Mon Jan 3 2000
    copyright            : (C) 2000 by MoP
    email                : sc@poulsen.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _FM_MENU
#define _FM_MENU

#include <string>
#include "array.h"
#include "fm_window.h"


class cMenu {
  public:
    cMenu(const string&,int=_WINDOW_DEFAULTBG);
    void AddItem(const string&);
    void operator += (const string& s) {AddItem(s);};
    int Run(int=1);
  private:
    cArray<string> menuitems;
    cArray<char> hotkeys;
    cArray<int> hotpos;
    string title;
    int w_width;
    int bgcolor;
};

#endif //_FM_MENU
