#ifndef _SC_SYNTAX_
#define _SC_SYNTAX_

#include <string>
#include "fm_textfile.h"

//Tries to determine if syntax coloring is possible
bool CanDoSyntaxByName(const string& name);
bool CanDoSyntaxByFirstLine(const string& line);

//Tries to insert syntaxhighlighting colorcodes
//return true if codes are inserted (filetype recognized)
bool DoSyntaxHighlighting(const string& name, cTextFile& lines);

//Writes a syntaxhighlighted line
void WrSyntax(int y, const string&, int fromleft=0, int fill=0);


#endif //_SC_SYNTAX_
