/***************************************************************************
                          fm_entry.h  -  description
                             -------------------
    begin                : Mon Jan 3 2000
    copyright            : (C) 2000 by MoP
    email                : sc@poulsen.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef _FM_ENTRY
#define _FM_ENTRY

#include <string>
#include "fm_keyboard.h"
#include "fm_window.h"
#include "fm_conio.h"

class cFmEntryField {
  public:
    //with window
  //  cFmEntryField::cFmEntryField(int x, int y, int length, cFmWindow& window, int fg=cBLACK, int bg=_DEFAULTBG);
    //raw, no window
    cFmEntryField(int x, int y, int length, int fg=cBLACK, int bg=_WINDOW_DEFAULTBG);
    bool GetValue(int&);
    bool GetValue(string&, bool);
  private:
//    string title;
    bool firsttouch;
    int wx,wy,len;
    int bgcolor, fgcolor;
    char fillchar;
    //cFmWindow w;
    sBox box;
    bool usewindow;

    void Redraw(const string&,int);
};

bool InputWindow(const string&, string&, int);
bool InputWindow(const string&, int&, int);

#endif //_FM_ENTRY
